Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class ManagementConfigurationManagementLocal

    java.lang.Object
      |
      +--kodo.manage.AbstractManagementConfiguration
            |
            +--kodo.manage.ManagementConfigurationManagement
                  |
                  +--kodo.manage.ManagementConfigurationManagementLocal

All Implemented Interfaces:
  Configurable, ManagementConfiguration

Direct Known Subclasses:
  ManagementConfigurationManagementLocalExport, ManagementConfigurationManagementLocalProfiling

public class ManagementConfigurationManagementLocal
extends ManagementConfigurationManagement

Abstract configuration for local profiling.

Fields inherited from class kodo.manage.AbstractManagementConfiguration
`_conf, _plugins`

Constructor Summary
`ManagementConfigurationManagementLocal()`

Method Summary
`Collection` | `getPlugins()`
`void` | `initManagement(javax.management.MBeanServer server)`

Methods inherited from class kodo.manage.ManagementConfigurationManagement
`getExecutionContextNameProvider, getMBeanPlugins, getMBeanServer, getMBeanServerStrategy, getProfConfig, getProfilingAgent, initProfiling, setEnableLogMBean, setEnableRuntimeMBean, setMBeanServerStrategy, setStackStyle`

Methods inherited from class kodo.manage.AbstractManagementConfiguration
`closeManagement, closeProfiling, endConfiguration, setConfiguration, startConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementConfigurationManagementLocal

    public ManagementConfigurationManagementLocal()

Method Detail

### initManagement

    public void initManagement(javax.management.MBeanServer server)
                        throws Exception

  Overrides:
    `initManagement` in class `AbstractManagementConfiguration`

### getPlugins

    public Collection getPlugins()

  Overrides:
    `getPlugins` in class `ManagementConfigurationManagement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.